Subject: AM_PATH_SDL does not find SDL framework installations on Mac OSX

From: David Lowe <[email-masked]>
Date: Thu, 26 Jul 2012 07:42:25 -0700

Background information: on OSX, the preferred distribution method for libraries is the 'framework' which is a click-and-draggable object that contains headers and libraries together.  The standard location for these is: /Library/Frameworks/

	I have the latest version of officially provided SDL runtime libraries here:

Darlene-Lowes-Mac-mini:/ (222) $ ls /Library/Frameworks/SDL*
/Library/Frameworks/SDL.framework:
Headers   Resources SDL       Versions

/Library/Frameworks/SDL_image.framework:
Frameworks Headers    Resources  SDL_image  Versions

/Library/Frameworks/SDL_mixer.framework:
Frameworks Headers    Resources  SDL_mixer  Versions

	However, automake ignores them, leading to:

checking for sdl-config... no
checking for SDL - version >= 1.1.4... no
*** The sdl-config script installed by SDL could not be found
*** If SDL was installed in PREFIX, make sure PREFIX/bin is in
*** your path, or set the SDL_CONFIG environment variable to the
*** full path to sdl-config.
configure: error: specified client 'sdl' not configurable (SDL >= 1.1.4 is needed (www.libsdl.org))

	The above portion of a log came from a recent attempt to install Freeciv-SDL from source.  I will attach the full copies of configure.ac and Makefile.am that were generated during that attempt, as i don't know enough to be sure what i could trim out without removing useful information.  In any case, the failure is repeatable across a range of versions of OSX with these frameworks.  I did once grab the SDL sources and do the usual configure/make.  The resulting installation does not create a framework, but automake does find the libraries.

	Relevant versions:

automake: 1.10
SDL: 1.2.14
OSX: 10.6.8

	Desired results: I would prefer that AM_PATH_SDL be upgraded to find and use such frameworks.  Failing that, it would be nice if someone could suggest an alternate test so that the framework can be used in the configure process of the Freeciv project.